# ApplicationFramework
TKPShape
PBRep

# PBRep_PointOnSurface Class Reference

`#include <PBRep_PointOnSurface.hxx>`

Inheritance diagram for PBRep_PointOnSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PBRep_PointOnSurface (const Standard_Real P1, const Standard_Real P2, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L)
Standard_EXPORT Standard_Real | Parameter2 () const
virtual Standard_EXPORT Standard_Boolean | IsPointOnSurface () const
| Returns True .
| PBRep_PointOnSurface ()
| PBRep_PointOnSurface (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_PointOnSurfacemyParameter2 () const
void | _CSFDB_SetPBRep_PointOnSurfacemyParameter2 (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myParameter2

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PointOnSurface::PBRep_PointOnSurface | ( | const Standard_Real | P1,
|  | const Standard_Real | P2,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PointOnSurface::PBRep_PointOnSurface | ( |  | ) | `[inline]`

PBRep_PointOnSurface::PBRep_PointOnSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PBRep_PointOnSurface::_CSFDB_GetPBRep_PointOnSurfacemyParameter2 | ( |  | ) | const`[inline]`

void PBRep_PointOnSurface::_CSFDB_SetPBRep_PointOnSurfacemyParameter2 | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PBRep_PointOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_PointsOnSurface.

virtual Standard_EXPORT Standard_Boolean PBRep_PointOnSurface::IsPointOnSurface | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_PointRepresentation.

Standard_EXPORT Standard_Real PBRep_PointOnSurface::Parameter2 | ( |  | ) | const

## Field Documentation

Standard_Real PBRep_PointOnSurface::myParameter2 `[private]`

The documentation for this class was generated from the following file:

- PBRep_PointOnSurface.hxx